- [HTTP request](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.sheets/copyTo#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.sheets/copyTo#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.sheets/copyTo#body.request_body)
  - [JSON representation](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.sheets/copyTo#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.sheets/copyTo#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.sheets/copyTo#body.aspect)
- [Try it!](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.sheets/copyTo#try-it)

Copies a single sheet from a spreadsheet to another spreadsheet. Returns the properties of the newly created sheet.

### HTTP request

`POST https://sheets.googleapis.com/v4/spreadsheets/{spreadsheetId}/sheets/{sheetId}:copyTo`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `spreadsheetId` | `string` The ID of the spreadsheet containing the sheet to copy. |
| `sheetId` | `integer` The ID of the sheet to copy. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "destinationSpreadsheetId": string } ``` |

| Fields ||
|---|---|
| `destinationSpreadsheetId` | `string` The ID of the spreadsheet to copy the sheet to. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets/sheets#SheetProperties`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive`
- `https://www.googleapis.com/auth/drive.file`
- `https://www.googleapis.com/auth/spreadsheets`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).